{
  "id": "00000000-0000-0000-0000-000000000000",
  "name": "logstash-8.5.1",
  "schemaVersion": "designs.meshery.io/v1beta1",
  "version": "0.0.3",
  "components": [
    {
      "id": "739b24aa-1ef8-43cb-ac25-9945cdcfb973",
      "schemaVersion": "components.meshery.io/v1beta1",
      "version": "v1.0.0",
      "displayName": "logstash-logstash-pdb",
      "description": "",
      "format": "",
      "model": {
        "id": "b3f5bc0d-30f7-607d-6c73-784ddde6cad8",
        "schemaVersion": "models.meshery.io/v1beta1",
        "version": "v1.0.0",
        "name": "kubernetes",
        "displayName": "Kubernetes",
        "status": "enabled",
        "registrant": {
          "id": "5bc80e3c-5d43-9eb4-d16c-78a2769247a6",
          "name": "Github",
          "credential_id": "00000000-0000-0000-0000-000000000000",
          "type": "registry",
          "sub_type": "",
          "kind": "github",
          "status": "registered",
          "user_id": "00000000-0000-0000-0000-000000000000",
          "created_at": "2025-10-06T12:04:11.250013673Z",
          "updated_at": "2025-10-06T12:04:11.250013673Z",
          "deleted_at": "0001-01-01T00:00:00Z",
          "schemaVersion": ""
        },
        "connection_id": "5bc80e3c-5d43-9eb4-d16c-78a2769247a6",
        "category": {
          "id": "9ca27d0d-66ce-42a9-8c85-6236563f2ddb",
          "name": "Orchestration \u0026 Management"
        },
        "subCategory": "Scheduling \u0026 Orchestration",
        "metadata": {
          "isAnnotation": false,
          "primaryColor": "#326CE5",
          "secondaryColor": "#7aa1f0",
          "shape": "circle",
          "svgColor": "ui/public/static/img/meshmodels/kubernetes/color/kubernetes-color.svg",
          "svgComplete": "",
          "svgWhite": "ui/public/static/img/meshmodels/kubernetes/white/kubernetes-white.svg"
        },
        "model": {
          "version": "v1.32.0-alpha.3"
        },
        "components_count": 0,
        "relationships_count": 0,
        "components": null,
        "relationships": null
      },
      "styles": {
        "primaryColor": "#326CE5",
        "secondaryColor": "#7aa1f0",
        "shape": "concave-hexagon",
        "svgColor": "ui/public/static/img/meshmodels/kubernetes/color/poddisruptionbudget-color.svg",
        "svgComplete": "",
        "svgWhite": "ui/public/static/img/meshmodels/kubernetes/white/poddisruptionbudget-white.svg"
      },
      "capabilities": [],
      "status": "enabled",
      "metadata": {
        "configurationUISchema": "",
        "genealogy": "",
        "instanceDetails": null,
        "isAnnotation": false,
        "isNamespaced": true,
        "published": false
      },
      "configuration": {
        "metadata": {
          "labels": {
            "app": "logstash-logstash",
            "chart": "logstash",
            "heritage": "Helm",
            "release": "logstash"
          },
          "name": "logstash-logstash-pdb"
        },
        "spec": {
          "maxUnavailable": 1,
          "selector": {
            "matchLabels": {
              "app": "logstash-logstash"
            }
          }
        }
      },
      "component": {
        "version": "policy/v1",
        "kind": "PodDisruptionBudget",
        "schema": ""
      }
    },
    {
      "id": "7abab206-e2cb-4f22-a858-171aec2ef478",
      "schemaVersion": "components.meshery.io/v1beta1",
      "version": "v1.0.0",
      "displayName": "logstash-logstash-headless",
      "description": "",
      "format": "",
      "model": {
        "id": "b3f5bc0d-30f7-607d-6c73-784ddde6cad8",
        "schemaVersion": "models.meshery.io/v1beta1",
        "version": "v1.0.0",
        "name": "kubernetes",
        "displayName": "Kubernetes",
        "status": "enabled",
        "registrant": {
          "id": "5bc80e3c-5d43-9eb4-d16c-78a2769247a6",
          "name": "Github",
          "credential_id": "00000000-0000-0000-0000-000000000000",
          "type": "registry",
          "sub_type": "",
          "kind": "github",
          "status": "registered",
          "user_id": "00000000-0000-0000-0000-000000000000",
          "created_at": "2025-10-06T12:04:11.250013673Z",
          "updated_at": "2025-10-06T12:04:11.250013673Z",
          "deleted_at": "0001-01-01T00:00:00Z",
          "schemaVersion": ""
        },
        "connection_id": "5bc80e3c-5d43-9eb4-d16c-78a2769247a6",
        "category": {
          "id": "9ca27d0d-66ce-42a9-8c85-6236563f2ddb",
          "name": "Orchestration \u0026 Management"
        },
        "subCategory": "Scheduling \u0026 Orchestration",
        "metadata": {
          "isAnnotation": false,
          "primaryColor": "#326CE5",
          "secondaryColor": "#7aa1f0",
          "shape": "circle",
          "svgColor": "ui/public/static/img/meshmodels/kubernetes/color/kubernetes-color.svg",
          "svgComplete": "",
          "svgWhite": "ui/public/static/img/meshmodels/kubernetes/white/kubernetes-white.svg"
        },
        "model": {
          "version": "v1.32.0-alpha.3"
        },
        "components_count": 0,
        "relationships_count": 0,
        "components": null,
        "relationships": null
      },
      "styles": {
        "background-position-y": "4.5",
        "height": 20,
        "padding": 12,
        "primaryColor": "#326CE5",
        "secondaryColor": "#7aa1f0",
        "shape": "round-triangle",
        "svgColor": "ui/public/static/img/meshmodels/kubernetes/color/service-color.svg",
        "svgComplete": "",
        "svgWhite": "ui/public/static/img/meshmodels/kubernetes/white/service-white.svg",
        "width": 20
      },
      "capabilities": [],
      "status": "enabled",
      "metadata": {
        "configurationUISchema": "",
        "genealogy": "",
        "instanceDetails": null,
        "isAnnotation": false,
        "isNamespaced": true,
        "published": false
      },
      "configuration": {
        "metadata": {
          "labels": {
            "app": "logstash-logstash",
            "chart": "logstash",
            "heritage": "Helm",
            "release": "logstash"
          },
          "name": "logstash-logstash-headless"
        },
        "spec": {
          "clusterIP": "None",
          "ports": [
            {
              "name": "http",
              "port": 9600
            }
          ],
          "selector": {
            "app": "logstash-logstash"
          }
        }
      },
      "component": {
        "version": "v1",
        "kind": "Service",
        "schema": ""
      }
    },
    {
      "id": "b0a7b8bb-58f5-422d-97db-46ba684fefbc",
      "schemaVersion": "components.meshery.io/v1beta1",
      "version": "v1.0.0",
      "displayName": "logstash-logstash",
      "description": "",
      "format": "",
      "model": {
        "id": "b3f5bc0d-30f7-607d-6c73-784ddde6cad8",
        "schemaVersion": "models.meshery.io/v1beta1",
        "version": "v1.0.0",
        "name": "kubernetes",
        "displayName": "Kubernetes",
        "status": "enabled",
        "registrant": {
          "id": "5bc80e3c-5d43-9eb4-d16c-78a2769247a6",
          "name": "Github",
          "credential_id": "00000000-0000-0000-0000-000000000000",
          "type": "registry",
          "sub_type": "",
          "kind": "github",
          "status": "registered",
          "user_id": "00000000-0000-0000-0000-000000000000",
          "created_at": "2025-10-06T12:04:11.250013673Z",
          "updated_at": "2025-10-06T12:04:11.250013673Z",
          "deleted_at": "0001-01-01T00:00:00Z",
          "schemaVersion": ""
        },
        "connection_id": "5bc80e3c-5d43-9eb4-d16c-78a2769247a6",
        "category": {
          "id": "9ca27d0d-66ce-42a9-8c85-6236563f2ddb",
          "name": "Orchestration \u0026 Management"
        },
        "subCategory": "Scheduling \u0026 Orchestration",
        "metadata": {
          "isAnnotation": false,
          "primaryColor": "#326CE5",
          "secondaryColor": "#7aa1f0",
          "shape": "circle",
          "svgColor": "ui/public/static/img/meshmodels/kubernetes/color/kubernetes-color.svg",
          "svgComplete": "",
          "svgWhite": "ui/public/static/img/meshmodels/kubernetes/white/kubernetes-white.svg"
        },
        "model": {
          "version": "v1.32.0-alpha.3"
        },
        "components_count": 0,
        "relationships_count": 0,
        "components": null,
        "relationships": null
      },
      "styles": {
        "background-opacity": 0.2,
        "height": 15,
        "primaryColor": "#326CE5",
        "secondaryColor": "#7aa1f0",
        "shape": "round-rectangle",
        "svgColor": "ui/public/static/img/meshmodels/kubernetes/color/statefulset-color.svg",
        "svgComplete": "ui/public/static/img/meshmodels/kubernetes/complete/statefulset-complete.svg",
        "svgWhite": "ui/public/static/img/meshmodels/kubernetes/white/statefulset-white.svg",
        "width": 15
      },
      "capabilities": [],
      "status": "enabled",
      "metadata": {
        "configurationUISchema": "",
        "genealogy": "parent",
        "instanceDetails": null,
        "isAnnotation": false,
        "isNamespaced": true,
        "published": false
      },
      "configuration": {
        "metadata": {
          "labels": {
            "app": "logstash-logstash",
            "chart": "logstash",
            "heritage": "Helm",
            "release": "logstash"
          },
          "name": "logstash-logstash"
        },
        "spec": {
          "podManagementPolicy": "Parallel",
          "replicas": 1,
          "selector": {
            "matchLabels": {
              "app": "logstash-logstash",
              "release": "logstash"
            }
          },
          "serviceName": "logstash-logstash-headless",
          "template": {
            "metadata": {
              "annotations": null,
              "labels": {
                "app": "logstash-logstash",
                "chart": "logstash",
                "heritage": "Helm",
                "release": "logstash"
              },
              "name": "logstash-logstash"
            },
            "spec": {
              "affinity": {
                "podAntiAffinity": {
                  "requiredDuringSchedulingIgnoredDuringExecution": [
                    {
                      "labelSelector": {
                        "matchExpressions": [
                          {
                            "key": "app",
                            "operator": "In",
                            "values": [
                              "logstash-logstash"
                            ]
                          }
                        ]
                      },
                      "topologyKey": "kubernetes.io/hostname"
                    }
                  ]
                }
              },
              "containers": [
                {
                  "env": [
                    {
                      "name": "LS_JAVA_OPTS",
                      "value": "-Xmx1g -Xms1g"
                    }
                  ],
                  "image": "docker.elastic.co/logstash/logstash:8.5.1",
                  "imagePullPolicy": "IfNotPresent",
                  "livenessProbe": {
                    "failureThreshold": 3,
                    "httpGet": {
                      "path": "/",
                      "port": "http"
                    },
                    "initialDelaySeconds": 300,
                    "periodSeconds": 10,
                    "successThreshold": 1,
                    "timeoutSeconds": 5
                  },
                  "name": "logstash",
                  "ports": [
                    {
                      "containerPort": 9600,
                      "name": "http"
                    }
                  ],
                  "readinessProbe": {
                    "failureThreshold": 3,
                    "httpGet": {
                      "path": "/",
                      "port": "http"
                    },
                    "initialDelaySeconds": 60,
                    "periodSeconds": 10,
                    "successThreshold": 3,
                    "timeoutSeconds": 5
                  },
                  "resources": {
                    "limits": {
                      "cpu": "1000m",
                      "memory": "1536Mi"
                    },
                    "requests": {
                      "cpu": "100m",
                      "memory": "1536Mi"
                    }
                  },
                  "securityContext": {
                    "capabilities": {
                      "drop": [
                        "ALL"
                      ]
                    },
                    "runAsNonRoot": true,
                    "runAsUser": 1000
                  },
                  "volumeMounts": null
                }
              ],
              "securityContext": {
                "fsGroup": 1000,
                "runAsUser": 1000
              },
              "terminationGracePeriodSeconds": 120,
              "volumes": null
            }
          },
          "updateStrategy": {
            "type": "RollingUpdate"
          }
        }
      },
      "component": {
        "version": "apps/v1",
        "kind": "StatefulSet",
        "schema": ""
      }
    }
  ],
  "relationships": null
}